Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
Class GrailsApplicationFactoryBean

    java.lang.Object
      org.codehaus.groovy.grails.commons.GrailsApplicationFactoryBean

All Implemented Interfaces:
  FactoryBean<GrailsApplication>, InitializingBean

    public class GrailsApplicationFactoryBean

extends Object
implements FactoryBean<GrailsApplication>, InitializingBean

Creates a Grails application object based on Groovy files.

Since:
  0.1
Author:
  Steven Devijver, Graeme Rocher, Chanwit Kaewkasi

Constructor Summary
`GrailsApplicationFactoryBean()`

Method Summary
`void` | `afterPropertiesSet()`
`GrailsInjectionOperation` | `getInjectionOperation()`
`GrailsApplication` | `getObject()`
`Class<GrailsApplication>` | `getObjectType()`
`boolean` | `isSingleton()`
`void` | `setGrailsDescriptor(Resource r)`
`void` | `setGrailsResourceLoader(GrailsResourceLoader resourceLoader)`
`void` | `setInjectionOperation(GrailsInjectionOperation injectionOperation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsApplicationFactoryBean

    public GrailsApplicationFactoryBean()

Method Detail

### getInjectionOperation

    public GrailsInjectionOperation getInjectionOperation()

### setInjectionOperation

    public void setInjectionOperation(GrailsInjectionOperation injectionOperation)

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### getObject

    public GrailsApplication getObject()

  Specified by:
    `getObject` in interface `FactoryBean<GrailsApplication>`

### getObjectType

    public Class<GrailsApplication> getObjectType()

  Specified by:
    `getObjectType` in interface `FactoryBean<GrailsApplication>`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `FactoryBean<GrailsApplication>`

### setGrailsResourceLoader

    public void setGrailsResourceLoader(GrailsResourceLoader resourceLoader)

### setGrailsDescriptor

    public void setGrailsDescriptor(Resource r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD